#!/usr/bin/python
#run in cron script: 0 15 * * * /usr/bin/python goes_twitter.py
# Core code credit: Simple downloading with progress indicator, by Cees Timmerman, 16mar12.
# Modified for GOES downloader by Jeff Kelly K2SDR

import os
import urllib2
import time
import ssl
import sys
from PIL import Image
#next line for MAC
ssl._create_default_https_context = ssl._create_unverified_context
timestr1 = time.strftime("Download Date:%m%d%Y Time:%H%M")
print ""
print timestr1
timestr = time.strftime("%m%d%Y_%H%M")
cwd = os.getcwd()
path = (cwd + "/")
print path
file_name = "temp.jpg"
print file_name


def goes_conus(file_name):

	remote = r"https://cdn.star.nesdis.noaa.gov/GOES16/ABI/FD/GEOCOLOR/5424x5424.jpg"
        local = path + file_name

        u = urllib2.urlopen(remote)
        h = u.info()
        totalSize = int(h["Content-Length"])

        print "Downloading %s bytes..." % totalSize,
        fp = open(local, 'wb')

        blockSize = 8192 #100000 # urllib.urlretrieve uses 8192
        count = 0
        while True:
            chunk = u.read(blockSize)
            if not chunk: break
            fp.write(chunk)
            count += 1
            if totalSize > 0:
                percent = int(count * blockSize * 100 / totalSize)
                if percent > 100: percent = 100
                print "%2d%%" % percent,
                if percent < 100:
                    print "\b\b\b\b\b",  # Erase "NN% "
                else:
                    print "Done."

        fp.flush()
        fp.close()
        if not totalSize:
            print
        print ""
        print "Done downloading."
# The crop method from the Image module takes four coordinates as input.
# The right can also be represented as (left+width)
# and lower can be represented as (upper+height).
#(left, upper, right, lower) = (20, 20, 100, 100)

def crop(file_name):
        print ""
        print "Croping image to 1080 x 1920 and copying to images."
	image = Image.open(path + file_name)
	box = (1955, 315, 2783, 733) #	box = (3120, 0, 4200, 1920)
	cropped_image = image.crop(box)
	cropped_image.save("/home/pi/images/goes_wi_vis.jpg")
        print ""
        print "Done."


goes_conus(file_name)
crop(file_name)

